Bug 1026723 - (CVE-2017-6209) VUL-0: CVE-2017-6209: virglrenderer: stack buffer oveflow in parse_identifier
(CVE-2017-6209)
VUL-0: CVE-2017-6209: virglrenderer: stack buffer oveflow in parse_identifier
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Lin Ma
Security Team bot
CVSSv2:RedHat:CVE-2017-6209:3.8:(AV:A...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-23 20:52 UTC by Mikhail Kasimov
Modified: 2018-02-16 07:34 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail Kasimov 2017-02-23 20:52:18 UTC
Ref: [1] http://seclists.org/oss-sec/2017/q1/492

[1]:
=================================================
   Hello,

Virgil 3d project, used by Quick Emulator(Qemu) to implement 3D GPU support for the virtio GPU, is vulnerable to an OOB array access issue. It could occur when parsing properties in parse_identifier().


A guest user/process could use this flaw to crash the Qemu process instance resulting DoS.


Upstream patch:
---------------
  -> https://cgit.freedesktop.org/virglrenderer/commit/?id=e534b51ca3c3cd25f3990589932a9ed711c59b27

Reference:
----------
  -> https://bugzilla.redhat.com/show_bug.cgi?id=1426149

This issue was reported by Li Qiang of 360.cn Inc.

'CVE-2017-6209' assigned via -> http://cveform.mitre.org/

Thank you.
--
Prasad J Pandit / Red Hat Product Security Team
47AF CE69 3A90 54AA 9045 1053 DD13 3D32 FE5B 041F
=================================================

[2] https://security-tracker.debian.org/tracker/CVE-2017-6209
Comment 1 Swamp Workflow Management 2017-02-23 23:01:39 UTC
bugbot adjusting priority
Comment 3 Swamp Workflow Management 2017-03-22 20:10:27 UTC
SUSE-SU-2017:0798-1: An update that fixes 13 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1021616,1021627,1024232,1024244,1024992,1024993,1025505,1025507,1026723,1026725,1026922,1027108,1027376
CVE References: CVE-2016-10163,CVE-2016-10214,CVE-2017-5580,CVE-2017-5937,CVE-2017-5956,CVE-2017-5957,CVE-2017-5993,CVE-2017-5994,CVE-2017-6209,CVE-2017-6210,CVE-2017-6317,CVE-2017-6355,CVE-2017-6386
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    virglrenderer-0.5.0-11.1
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    virglrenderer-0.5.0-11.1
SUSE Linux Enterprise Server 12-SP2 (src):    virglrenderer-0.5.0-11.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    virglrenderer-0.5.0-11.1
Comment 4 Swamp Workflow Management 2017-03-31 16:16:28 UTC
openSUSE-SU-2017:0902-1: An update that fixes 13 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1021616,1021627,1024232,1024244,1024992,1024993,1025505,1025507,1026723,1026725,1026922,1027108,1027376
CVE References: CVE-2016-10163,CVE-2016-10214,CVE-2017-5580,CVE-2017-5937,CVE-2017-5956,CVE-2017-5957,CVE-2017-5993,CVE-2017-5994,CVE-2017-6209,CVE-2017-6210,CVE-2017-6317,CVE-2017-6355,CVE-2017-6386
Sources used:
openSUSE Leap 42.2 (src):    virglrenderer-0.5.0-3.3.1
Comment 5 Marcus Meissner 2018-02-16 07:34:40 UTC
released